| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Functions
file_utils.h File Reference
`#include <stddef.h>`
`#include <stdint.h>`
`#include <ARX/ARUtil/types.h>`
Include dependency graph for file_utils.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
ARUTIL_EXTERN int | test_f (const char *file, const char *dir)
ARUTIL_EXTERN int | test_d (const char *dir)
ARUTIL_EXTERN int | cp_f (const char *source_file, const char *target_file)
ARUTIL_EXTERN int | mkdir_p (const char *path)
ARUTIL_EXTERN int | rm_rf (const char *path)
ARUTIL_EXTERN int | rn_f (const char *source_file, const char *target_file)
ARUTIL_EXTERN int | unzip_od (const char *zipPathname, const char *outPath)
ARUTIL_EXTERN int | zip_od (char *zipPathname, const char *baseFilePath, const char **fileNames, int totalFiles)
ARUTIL_EXTERN int64_t | get_file_size (const char *file)
ARUTIL_EXTERN char * | cat (const char *file, size_t *bufSize_p)
ARUTIL_EXTERN char | read_sn1 (void)
ARUTIL_EXTERN int | export_ (const char *name, const char *val)
ARUTIL_EXTERN int | sha1 (const char *filePath, char sha1String[41])

## Function Documentation

## ◆ cat()

ARUTIL_EXTERN char * cat | ( | const char * | file,
|  | size_t * | bufSize_p
| ) |  |

## ◆ cp_f()

ARUTIL_EXTERN int cp_f | ( | const char * | source_file,
|  | const char * | target_file
| ) |  |

## ◆ export_()

ARUTIL_EXTERN int export_ | ( | const char * | name,
|  | const char * | val
| ) |  |

## ◆ get_file_size()

ARUTIL_EXTERN int64_t get_file_size | ( | const char * | file | ) |

## ◆ mkdir_p()

ARUTIL_EXTERN int mkdir_p | ( | const char * | path | ) |

## ◆ read_sn1()

ARUTIL_EXTERN char read_sn1 | ( | void |  | ) |

## ◆ rm_rf()

ARUTIL_EXTERN int rm_rf | ( | const char * | path | ) |

Here is the call graph for this function:

## ◆ rn_f()

ARUTIL_EXTERN int rn_f | ( | const char * | source_file,
|  | const char * | target_file
| ) |  |

Here is the call graph for this function:

## ◆ sha1()

ARUTIL_EXTERN int sha1 | ( | const char * | filePath,
|  | char | sha1String[41]
| ) |  |

Here is the call graph for this function:

## ◆ test_d()

ARUTIL_EXTERN int test_d | ( | const char * | dir | ) |

## ◆ test_f()

ARUTIL_EXTERN int test_f | ( | const char * | file,
|  | const char * | dir
| ) |  |

## ◆ unzip_od()

ARUTIL_EXTERN int unzip_od | ( | const char * | zipPathname,
|  | const char * | outPath
| ) |  |

Here is the call graph for this function:

## ◆ zip_od()

ARUTIL_EXTERN int zip_od | ( | char * | zipPathname,
|  | const char * | baseFilePath,
|  | const char ** | fileNames,
|  | int | totalFiles
| ) |  |

Here is the call graph for this function: